# List workflow tasks Retrieves a list of workflow tasks available in your Zuora tenant. ### User Access Permission You must be assigned the Workflow View Access permission to run this operation. Endpoint: GET /workflows/tasks Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Query parameters: - `id` (string) If specified, the operation retrieves the task that is with specified id. - `name` (string) If specified, the operation retrieves tasks that is in the specified name. - `instance` (boolean) If set to true, the operation retrieves workflows that have the scheduled trigger enabled. If set to false, the operation retrieves workflows that have the scheduled trigger disabled. If not specfied, the operation will not use this filter. - `action_type` (string) If specified, the operation retrieves tasks that is the specified type. - `object` (string) If specified, the operation retrieves tasks with the specified object. - `object_id` (string) If specified, the operation retrieves tasks with the specified object id. - `call_type` (string) If specified, the operation retrieves tasks with the specified api call type used. - `workflow_id` (string) If specified, the operation retrieves tasks that for the specified workflow id. - `tags` (array) If specified, the operation retrieves tasks that with the specified filter tags. Use the following syntax to specify multiple tags: tags[]=tag_value_1&tags[]=tag_value_2. Note: All the workflow tasks that have any of the specified tags will be listed in the response body. - `page` (integer) If you want to retrieve only the workflows on a specific page, you can specify the page number in the query. - `page_length` (integer) The number of workflow tasks shown in a single call. If the page parameter is not specified, the operation will return only the first page of results. If there are multiple pages of results, use it with the page parameter to get the results on subsequent pages. The maximum value is 100. ## Response 200 fields (application/json): - `data` (array) The list of tasks retrieved. - `data.action_type` (string) The type of the task. Enum: "Approval", "Attachment", "Billing::BillRun", "Billing::CurrencyConversion", "Billing::CustomInvoice", "Callout", "Cancel", "Create", "CustomObject::Create", "CustomObject::Delete", "CustomObject::Query", "CustomObject::Update", "Data::BillingPreviewRun", "Data::Link", "Delay", "Delete", "Download::SFTP", "Email", "Export", "File::CustomPDF::CustomDocument", "If", "InvoiceGenerate", "Iterate", "Logic::CSVTranslator", "Logic::Case", "Logic::CustomCode", "Logic::JSONTransform", "Logic::Lambda", "Logic::ResponseFormatter", "Logic::XMLTransform", "NewProduct", "Notifications::GoogleCloudPrint", "Notifications::PhoneCall", "Notifications::SMS", "Payment::GatewayReconciliation", "Payment::PaymentRun", "Query", "RemoveProduct", "Reporting::ReportData", "Reporting::RunReport", "Resume", "Suspend", "UI::Page", "UI::Stop", "Update", "Upload::FTP", "Upload::SFTP", "WriteOff" - `data.call_type` (string) The type of API used. - `data.concurrent_limit` (integer) the number of concurrent tasks that are allowed to run simultaneously - `data.data` (object) The data payload for the task. - `data.end_time` (string) If Instance is true, the end time of the task instance. - `data.error` (string) If Instance is true and status is Error, the error reason of the task instance failure. - `data.error_class` (string) If Instance is true and status is Error, the error class of the task instance failure. - `data.error_details` (string) If Instance is true and status is Error, the error details of the task instance failure. - `data.id` (integer) The unique ID of the task. - `data.instance` (boolean) Indicates whether this task belongs to an instance of a workflow. - `data.name` (string) The name of the task. - `data.object` (string) The selected object for the task. - `data.object_id` (string) The id of the selected object of the task. - `data.original_task_id` (integer) If Instance is true, the ID of the original task in the original workflow. - `data.original_workflow_id` (integer) If Instance is true, the ID of the original workflow. - `data.parameters` (object) The configuration of the task. - `data.start_time` (string) If Instance is true, the start time of the task instance. - `data.status` (string) If Instance is true, the status of the task instance. Enum: "Queued", "Processing", "Pending", "Success", "Stopped", "Error" - `data.tags` (array) The array of filter tags. - `data.task_id` (integer) the id of this task's parent task. Will be null if this is the first task of the workflow - `data.workflow_id` (integer) The ID of the workflow that the task belongs to. - `pagination` (object) An object containing pagination information for the list of tasks returned by the API. - `pagination.next_page` (string) A string containing the URL where the next page of data can be retrieved. - `pagination.page` (integer) An integer denoting the current page number. - `pagination.page_length` (integer) An integer denoting the number of tasks in this response. The maximum value is 100.